## org.apache.taglibs.standard.lang.jstl
Class FunctionInvocation

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.Expression
          org.apache.taglibs.standard.lang.jstl.FunctionInvocation

    public class FunctionInvocation

extends Expression

Represents a function call.

Author:
  Shawn Bayern (in the style of Nathan's other classes)

Constructor Summary
`FunctionInvocation(String functionName, List argumentList)` Constructor

Method Summary
`Object` `evaluate(Object pContext, VariableResolver pResolver, Map functions, String defaultPrefix, Logger pLogger)` Evaluates by looking up the name in the VariableResolver
`List` `getArgumentList()`
`String` `getExpressionString()` Returns the expression in the expression language syntax
`String` `getFunctionName()`
`void` `setArgumentList(List l)`
`void` `setFunctionName(String f)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionInvocation

    public FunctionInvocation(String functionName,
                              List argumentList)

  Constructor

Method Detail

### getFunctionName

    public String getFunctionName()

### setFunctionName

    public void setFunctionName(String f)

### getArgumentList

    public List getArgumentList()

### setArgumentList

    public void setArgumentList(List l)

### getExpressionString

    public String getExpressionString()

  Returns the expression in the expression language syntax

  Specified by:
    `getExpressionString` in class `Expression`

### evaluate

    public Object evaluate(Object pContext,
                           VariableResolver pResolver,
                           Map functions,
                           String defaultPrefix,
                           Logger pLogger)
                    throws ELException

  Evaluates by looking up the name in the VariableResolver

  Specified by:
    `evaluate` in class `Expression`
  Throws:
    `ELException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.